#!/usr/bin/perl -w
#
# PBBot (Perl Bennyben's irc Bot)
# By bennyben (C) 2003 GPL Licence
#

my $modebufm="";
my $modebufn="";

sub mode_push
{
	my ($mode, $nick) = @_;

print "mode push ".$mode." ".$nick."\n";	
	$modebufm.=$mode;
	$modebufn.=" " if($modebufn && $modebufn ne "");
	$modebufn.=$nick;
}

sub mode_sync
{
	my ($conn, $chan) = @_;

	return if($modebufm eq "" && $modebufn eq "");
print "mode sync ".$chan.": ".$modebufm." ".$modebufn."\n";
	$conn->mode($chan, $modebufm, $modebufn);
	$modebufm="";
	$modebufn="";
}

sub op_nick
{
	my ($conn, $chan, $nick) = @_;
	
	$op_on_auth=1;
	$opchan_on_auth=$chan;
	if(nickserv_status_nick($conn, $nick)==0) {
		$op_on_auth=0;
		mode_push("+o", $nick);
		mode_push("-o", pop(@deopchan_on_op)) if($#deopchan_on_op>=0);
		mode_sync($conn, $chan);
	}
}

1;
