#!/usr/bin/perl -w
#
# PBBot (Perl Bennyben's irc Bot)
# By bennyben (C) 2003 GPL Licence
#

use POSIX qw(strftime);

my $MAX_LINE_LEN = 410;
my $FLOOD_MAX_WORDS = 250;

sub privmsg
{
	my ($conn, $nick, $text) = @_;
	
	$conn->privmsg($nick, $text);
}

sub privmsga
{
	my ($conn, $nick, @text) = @_;
	my $i=0;
	my $j=0;
	my $tmp="";

	if($#text==0 && $text[0] eq "") {
		privmsg($conn, $nick, "(empty)");
		return;
	}
	for($j=0; $j<=$#text; $j++) {
		if( $i+length($text[$j])>=$MAX_LINE_LEN ) {
			privmsg($conn, $nick, $tmp) if($tmp ne "");
			sleep(2);
			$tmp=$text[$j];
			$i=length($text[$j])+length($nick);
		} else {
			if($tmp ne "") {
				$tmp.=" ".$text[$j] if($tmp ne "");
				$i++;
			} else {
				$tmp=$text[$j];
			}
			$i+=length($text[$j]);
		}
	}
	$tmp.=".";
	if($tmp ne "") {
		privmsg($conn, $nick, $tmp);
		sleep(2);
	}
}

sub privmsgarr
{
	my ($conn, $nick, $style, @row)=@_;
	my $i;
	my @text;

	if($#row>$FLOOD_MAX_WORDS) {
		print "FLOOD DETECTED\n";
		@row=splice(@row, 0, $FLOOD_MAX_WORDS+1);
		push(@row, "...(message too big)");
	}
	if($style==0) {
		privmsga($conn, $nick, @row);
		return;
	}
	for($i=0; $i<=$#row; $i++) {
		$text[$i]=ref $row[$i]?$row[$i][0]:$row[$i];
		if($style==1) {
        		$text[$i]="\02[\02".$text[$i]."\02]\02";
		} elsif($style==2) {
			$text[$i]="\02[".($i+1)."\02| ".$text[$i]."\02]\02";
		} elsif($style==3) {
			$text[$i]="\02[".($row[$i][0])."\02| ".($row[$i][1])."\02]\02";
		} elsif ($style==4) {
			$text[$i]="\02[".($i+1)."\02| (".$row[$i][0].") ".$row[$i][1]."\02]\02";
		} elsif ($style==5) {
			$text[$i]="\02[\02(".strftime("%d/%m/%Y %I:%M:%S", localtime($row[$i][0])).") [".$row[$i][1]."] ".$row[$i][2]."\02]\02";
		} else {
			print "WARNING: BAD STYLE";
		}
        }
	privmsga($conn, $nick, @text);
}

sub open_debug
{
	
}

sub debug
{
	my $lvl=shift;
	
	if($debug_level >= $lvl) {
		print "[".localtime()."] ".@_;
	}
}

sub sync_debug
{
	
}

sub close_debug
{
	
}

1;
